/* 
Theme Name: Oechsli Child Theme
Theme URI: https://oechsli.com
Description: Oechsli is a hybrid theme with block and elementor support 
Author: Oechsli
Author URI: https://oechsli.com/
Template: oechsli
Version: 2023.12.03
Text Domain: oechsli
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

body[class*="header-transparent"] .site-hero, body[class*="header-transparent"] .hero {padding-top: 0px !important;}


/* Header  */

.wp-block-button.hamburger-menu-button.site-burger {display: none;}


.login-btn .wp-block-button__link {
  border-color: var(--wp--preset--color--palette-10) !important; transition: all .3s;
}

.login-btn .wp-block-button__link:hover {background-color: var(--wp--preset--color--palette-2) !important; transition: all .3s; border-color: var(--wp--preset--color--palette-2) !important; }

.intro-btn .wp-block-button__link {
  color: #fff !important;
}

#site-header .wp-block-navigation-item__content {color: var(--wp--preset--color--palette-9) ;}

.scrolling #site-header .wp-block-navigation-item__content {color: var(--wp--preset--color--palette-3);}



.wp-block-button.header-btn {margin-left: 1em;}

#site-header .logo-color {
    display: none;
}



.scrolling #site-header .logo-white {
    display: none;
}

.scrolling #site-header .logo-color {
    display: block;
}

body.scrolling .site-header {
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); 
	transition: all .3s; 
	background: var(--wp--preset--color--palette-9);
}

.site-header {transition: all .3s;}

.scrolling #site-header .login-btn .wp-block-button__link {
  border-color: var(--wp--preset--color--palette-11) !important ;
  color: var(--wp--preset--color--palette-3) !important;
}


.scrolling #site-header .login-btn .wp-block-button__link:hover {
  border-color: var(--wp--preset--color--palette-2) !important ;
  color: var(--wp--preset--color--palette-9) !important;
}

.scrolling #site-header .wp-block-buttons {
	border-left-color: var(--wp--preset--color--palette-11) !important;
}
.scrolling #site-header .wp-block-navigation__submenu-container .wp-block-navigation-item__content {
    color: #fff;
}
/* Nav dropdown background dark */
.site-navigation.wp-block-navigation:not(.open):not(.has-background) .wp-block-navigation__submenu-container {
    background: var(--wp--preset--color--palette-3) !important;
}

/* Home */

.wp-block-columns.hero-columns {
	margin-bottom: -9em;  
	position: relative; z-index: 99 !important;
}


.wp-block-cover.home-hero {
	overflow: visible;
}

.wp-block-image.understanding-img  {margin-bottom: -3em;}

.understanding-columns {z-index: 9;}

.wp-block-image.floating-img {margin-top: -3em; margin-bottom: -3em;}

.wp-block-heading.hero-right-col {margin-top: -7px;}

hr.wp-block-separator.home-divider {width: 250px !important; color: #c9c9c9 !important; }


/* Ken Burns */


.kenburns-container {
  overflow: hidden !important;
  position: relative;
}

.kenburns-container img {
  width: 100% !important;
  height: 100% ;
  object-fit: cover !important;
  animation: kenburns 12s ease-in forwards;
}

@keyframes kenburns {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1.2);
  }
}

/* Post Single */

.single-oi_article .wp-block-columns .aside > .wp-block-group {
    position: sticky;
    top: 11rem;
}

/* Social Share styling for sidebar shortcode */
.ann-social-icons {
    display: flex;
    flex-direction: row;
    gap: 18px;
    align-items: center;height: 10px;
    padding-bottom: 40px;
}

.ann-social-icons a {
    color: var(--wp--preset--color--palette-7);
    display: inline-flex;
    transition: opacity 0.2s ease;
}

.ann-social-icons a:hover {
    opacity: 0.7;
}

/* Block Shadow */

.has-shadow {box-shadow: 0 0 30px #7373731a;}




/* Down Arrow */

.down-arrow {
  
  animation: bob 2s ease-in-out infinite;
}

@keyframes bob {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(10px); 
  }
}
/* Media Queries */

/* smaller desktops */

@media only screen and (max-width: 1340px) {
    .single-post .wp-block-columns {
        flex-direction: column;
    }
    .single-post .wp-block-columns .aside-left {
        order: 3;
    }
    .single-post .wp-block-columns .aside-right {
        order: 2;
    }
}

@media only screen and (max-width: 1200px) {
	.post-single-content .oi_article_columns.is-layout-flex.wp-container-core-columns-is-layout-2 {
		flex-direction: column;
		column-gap: 30px;
	}
	.post-single-content div#gform_wrapper_8 {
		width: 100%;
	}
	.post-single-content .oi_article_columns .aside-left {
		order: 2;
		margin-top: 30px;
	}
	.post-single-content .oi_article_columns .aside-left {
		order: 3;
		margin-top: 30px;
	}
}
/* Small Tablets */
@media (min-width: 782px) {
    .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column[style*=flex-basis] {
        flex-grow: 0;
    }
}



/* Mobile */

@media only screen and (max-width: 767px) {
  .wp-block-button.hamburger-menu-button.site-burger {display: block !important;}
	
	body:not(.scrolling) .site-burger .wp-block-button__link {
		color: #fff !important;}
	
	.wp-block-group.home-hero-stack {min-height: 80vh !important;}
	.wp-block-cover.img-cover {min-height: 250px !important;}
	.home .wp-block-buttons.services-btn {justify-content: flex-start !important;}
	.wp-block-cover.page-hero-cover .wp-block-cover__background {opacity: .6 !important;}
	
}